<?php
//============================================================+
// File name   : cp_select_icons.php                           
// Begin       : 2001-09-09                                    
// Last Update : 2002-09-29                                    
//                                                             
// Description : Show all icons in K_TABLE_ICONS table.        
//               Allow to select an item for edit.             
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com s.r.l.
//               Via Della Pace n. 11
//               09044 Quartucciu (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

require_once('../../shared/config/cp_extension.inc');
require_once('../config/cp_config.'.CP_EXT);

$pagelevel = K_AUTH_ADMIN_CP_SELECT_ICONS;
require_once('../../shared/code/cp_authorization.'.CP_EXT);

$thispage_title = $l['t_icon_select'];

require_once('../code/cp_page_header_popup.'.CP_EXT);
 
require_once('../code/cp_functions_icons.'.CP_EXT);
F_select_icons(K_TABLE_ICONS, K_PATH_IMAGES_ICONS, $formname, $idfield, $fieldtype, $fsubmit); 

require_once('../code/cp_page_footer_popup.'.CP_EXT);

//============================================================+
// END OF FILE                                                 
//============================================================+
?>
