<?php
//============================================================+
// File name   : cp_db_connect.php                             
// Begin       : 2001-09-02                                    
// Last Update : 2003-10-12                                    
//                                                             
// Description : open connection with active database          
//                                                             
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com s.r.l.
//               Via Della Pace n. 11
//               09044 Quartucciu (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

require_once('../../shared/config/cp_extension.inc');

// Load the Database Abstraction Layer for selected DATABASE type
require_once('../../shared/code/cp_db_dal.'.CP_EXT);

// Make a DATABASE server connection
if(!$db = @F_aiocpdb_connect(K_DATABASE_HOST, K_DATABASE_USER_NAME, K_DATABASE_USER_PASSWORD)) {
	echo "<p><b>".F_aiocpdb_errno().": ".F_aiocpdb_error()."</b></p>";
	die("Unable to connect to the DATABASE server.<br />Please check dbhost, dbuser, and dbpass variables in cp_config.php");
}

// Make a DATABASE connection
if(!@F_aiocpdb_select_db(K_DATABASE_NAME,$db)) {
	echo "<p><b>".F_aiocpdb_errno().": ".F_aiocpdb_error()."</b></p>";
	die("Unable to find the database <b>".K_DATABASE_NAME."</b> on your DATABASE server.");
}

//============================================================+
// END OF FILE                                                 
//============================================================+
?>